Subject: Re: bug#13686: hi-yellow vs. hi-lock-1

From: Stefan Monnier <[email-masked]>
Date: Wed, 27 Feb 2013 11:27:27 -0500

>>>> "hi-lock-1", "hi-lock-2", etc. are the best names.
>>> My earlier mail asked for making the highlighting face a "core" one.  So
>>> having highlight-1, highlight-2 etc as "core" themable faces will make
>>> theme designers pay attention to it.
>> We could definitely add such core faces.  But in order for that to
>> augment current functionality, we still need a way for the user to
>> specify the highlighting directly by its attribute.
> The last sentence after the comma is not clear to me.  You seem to imply
> some-"way" is missing.  Can someone explain what is meant here?

I meant "in hi-lock".  More specifically, the current hi-lock lets you
choose a face name, not a color.  Since current face names include
"hi-yellow", it ends up letting you choose a color, but if we rename
them to something else, that removes this (indirect) ability to specify
a color.

        Stefan